<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.RechargeRightsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.RechargeRights">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="activity_id" property="activityId" />
        <result column="name" property="name" />
        <result column="rights_desc" property="rightsDesc" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="validity" property="validity" />
        <result column="amount_min" property="amountMin" />
        <result column="amount_max" property="amountMax" />
        <result column="discount" property="discount" />
        <result column="allow_stacke" property="allowStacke" />
        <result column="quantity" property="quantity" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,activity_id,activity_id, name, rights_desc, start_time, end_time,validity, amount_min, amount_max, discount, allow_stacke, quantity, status, remark,create_time,update_time
    </sql>

</mapper>
